\documentclass[tikz,14pt,border=10pt]{standalone}

\usepackage{tikz}
\usetikzlibrary{arrows}
\usetikzlibrary{automata}
\usetikzlibrary{positioning}

\usepackage[european]{circuitikz}

\begin{document}


\begin{circuitikz}[align=center, american inductors,scale=0.75, every node/.style={scale=0.75}]
	% Macros
	\pgfmathsetmacro{\COSTHIRTY}{0.86602540378}
	\pgfmathsetmacro{\SINTHIRTY}{0.5}
	\pgfmathsetmacro{\COSSIXTY}{0.5}
	\pgfmathsetmacro{\SINSIXTY}{0.86602540378}
	\pgfmathsetmacro{\VOLTAGEDIST}{0.5}
	\ctikzset{label/align = straight}
	\ctikzset{voltage/bump b=15pt,voltage/european label distance=15pt}
    %\ctikzset{voltage/bump b=0pt,voltage/european label distance=15pt}
    %\ctikzset{voltage/distance from node=0.1}% defines arrow's distance from nodes
	%\ctikzset{voltage/distance from line=-0.99}% defines arrow's distance from wires
	%\ctikzset{voltage/bump b/.initial=.9}% defines arrow's curvature
	% Winding A
	\draw	
		(0,6)
		node[label={right:$\rm A$}] {}
		to[short, o-, i_=$i_{\rm A}$](0,5) 
		to[R, l_=$R_{\rm S}$] (0,3.5)
  		to[L, l_=$L_{\rm S}$] (0,2) 
    	to[american voltage source, v_<=$u_{\rm eA}$] (0,0.5) 
    	to[short, -*] (0,0)
		node[label={below:$\rm \hat{N}$}] {}
    ; 
	% Winding B
	\draw
		(6*\COSTHIRTY, -6*\SINTHIRTY)
		node[label={right:$\rm B$}] {}
		to[short, o-, i=$i_{\rm B}$](5.0*\COSTHIRTY, -5.0*\SINTHIRTY) 
		(3.5*\COSTHIRTY, -3.5*\SINTHIRTY)
		to[R, l_=$R_{\rm S}\quad$, mirror] (5*\COSTHIRTY, -5*\SINTHIRTY)
		(2*\COSTHIRTY, -2*\SINTHIRTY)
  		to[L, l_=$L_{\rm S}\quad$] (3.5*\COSTHIRTY, -3.5*\SINTHIRTY) 
		(2*\COSTHIRTY, -2*\SINTHIRTY)
    	to[american voltage source, v<=$u_{\rm eB}$] (0.5*\COSTHIRTY, -0.5*\SINTHIRTY)
    	-- (0,0)
    ;
	% Winding C
	\draw
		(-6*\COSTHIRTY, -6*\SINTHIRTY)
		node[label={-90:$\rm C$}] {}
		to[short, o-, i_=$i_{\rm C}$](-5.0*\COSTHIRTY, -5.0*\SINTHIRTY) 
		to[R, l_=$R_{\rm S}$] (-3.5*\COSTHIRTY, -3.5*\SINTHIRTY)
  		to[L, l_=$L_{\rm S}$] (-2*\COSTHIRTY, -2*\SINTHIRTY) 
    	to[american voltage source, v_<=$u_{\rm eC}$] (-0.5*\COSTHIRTY, -0.5*\SINTHIRTY)
    	-- (0,0)
    ;
    % Voltage labels
	\draw
    	(0.5,6) to [open, v^>=$u_{\rm A}$, mirror] (0.5,0)
    	(\VOLTAGEDIST*\COSSIXTY + 6*\COSTHIRTY, \VOLTAGEDIST*\SINSIXTY - 6*\SINTHIRTY) to [open, v_>=$u_{\rm B}$, mirror] (\VOLTAGEDIST*\COSSIXTY, \VOLTAGEDIST*\SINSIXTY)
    	(-\VOLTAGEDIST*\COSTHIRTY - 6*\COSTHIRTY, \VOLTAGEDIST*\SINTHIRTY - 6*\SINTHIRTY) to [open, v^>=$u_{\rm C}$, mirror] (-\VOLTAGEDIST*\COSTHIRTY, \VOLTAGEDIST*\SINTHIRTY)
	;	
    % Circle
	%\filldraw[fill=gray!10!white, draw=black, thick, dashed] (0,0) circle (6);
	\draw
		[dashed] (0,0) circle (5.8)
	;
\end{circuitikz}

\end{document}
